### Hierarchy

- AbstractRenderer
  - ClassicRenderer
    - ContentCentricRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId
- content
- scrollStrategy
- suggest

### Methods

- appendContent
- appendSuggest
- bottomScrollStrategy
- containerScrollStrategy
- handleCarousel
- init
- needsSeparator
- render
- renderElement

## Constructors

### constructor

- new ClassicRenderer(content: HTMLElement, suggest: HTMLElement): ClassicRenderer

- Overrides AbstractRenderer.constructor

  - Defined in lib/renderer/ClassicRenderer.ts:13

  #### Parameters

  - ##### Optional content: HTMLElement

  - ##### Optional suggest: HTMLElement

  #### Returns ClassicRenderer

## Properties

### Protected Optional channelId

channelId: undefined | string

Inherited from AbstractRenderer.channelId

- Defined in lib/renderer/AbstractRenderer.ts:11

### Protected content

content: HTMLElement

Inherited from AbstractRenderer.content

- Defined in lib/renderer/AbstractRenderer.ts:9

### scrollStrategy

scrollStrategy: "bottom" | "container" | function = this.bottomScrollStrategy

- Defined in lib/renderer/ClassicRenderer.ts:105

### Protected suggest

suggest: HTMLElement

Inherited from AbstractRenderer.suggest

- Defined in lib/renderer/AbstractRenderer.ts:10

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  Inherited from AbstractRenderer.appendContent

  - Defined in lib/renderer/AbstractRenderer.ts:72

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  Inherited from AbstractRenderer.appendSuggest

  - Defined in lib/renderer/AbstractRenderer.ts:79

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Private bottomScrollStrategy

- bottomScrollStrategy(e: HTMLElement): number

- - Defined in lib/renderer/ClassicRenderer.ts:85

  #### Parameters

  - ##### e: HTMLElement

  #### Returns number

### Private containerScrollStrategy

- containerScrollStrategy(e: HTMLElement): void

- - Defined in lib/renderer/ClassicRenderer.ts:92

  #### Parameters

  - ##### e: HTMLElement

  #### Returns void

### Private handleCarousel

- handleCarousel(args: any[]): void

- - Defined in lib/renderer/ClassicRenderer.ts:69

  #### Parameters

  - ##### args: any[]

  #### Returns void

### init

- init(channelId: undefined | string): void

- Implementation of IRenderer.init

  Overrides AbstractRenderer.init

  - Defined in lib/renderer/ClassicRenderer.ts:19

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### Private needsSeparator

- needsSeparator(renderable: IRenderable): boolean

- - Defined in lib/renderer/ClassicRenderer.ts:56

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns boolean

### render

- render(message: ISpecification | IRenderable, containerType: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  Inherited from AbstractRenderer.render

  - Defined in lib/renderer/AbstractRenderer.ts:21

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Protected renderElement

- renderElement(renderable: IRenderable, containerType: IStackeable): HTMLElement[]

- Overrides AbstractRenderer.renderElement

  - Defined in lib/renderer/ClassicRenderer.ts:27

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

Generated using TypeDoc